#!/bin/sh

set -e

##functions.sh##

$dry_run sed -i -e 's/\(Debian.*[ \t]\)10\([ \t]\|$\)/\111\2/' \
                -e 's/\(Debian.*[ \t]\)11\([ \t]\|$\)/\112\2/' \
                -e 's/^CMU Computer Club UNIX/\\e{reset}&/' \
             "$1"

if grep -q 'Computer Club' "$1"; then
    :
else
    $dry_run eval "printf '%s\\n' '\\e{reset}CMU Computer Club UNIX' > `quote "${1}.new"`"
    $dry_run eval "cat `quote "$1"` >> `quote "${1}.new"`"
    $dry_run chown --reference="$1" "${1}.new"
    $dry_run chmod --reference="$1" "${1}.new"
    $dry_run mv "${1}.new" "$1"
fi
